## openct 0.6.4

=== solaris/Makefile ===
PACKAGE=OSCopenct
PACKAGE_NAME=openct
VERSION=CVS
PWD=pwd
CONFIGURE_PREFIX=$(PWD:sh)/..
CONFIGURE=${CONFIGURE_PREFIX}/configure
CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc/openct
CONFIG_GUESS=${CONFIGURE_PREFIX}/config.guess
UNAME_ARCH=/sbin/uname -p
PLATFORM = $(CONFIG_GUESS:sh)
ARCH = $(UNAME_ARCH:sh)
PKG_NAME = OSCopenct

build:
	@echo "Setup platform specific build directory ${PLATFORM}"
	mkdir -p build-${PLATFORM}
	( cd build-${PLATFORM}; CC=cc ${CONFIGURE} ${CONFIGURE_ARGS}; make )

dist:
	@echo "Setup platform specific dist directory dist-${PLATFORM}"
	mkdir -p dist-${PLATFORM}
	@echo "Performing Installing in dist directory"
	( cd build-${PLATFORM}; make DESTDIR=`pwd`/../dist-${PLATFORM} install )

package:
	@echo "Setup package meta files"
	-cp proto dist-${PLATFORM}
	-sed "s|@ARCH@|${ARCH}|" <checkinstall.in >dist-${PLATFORM}/checkinstall
	-sed -e "s|@ARCH@|${ARCH}|" -e "s|@VERSION@|${VERSION}|" \
		<pkginfo.in >dist-${PLATFORM}/pkginfo
	-cp postinstall dist-${PLATFORM}
	-cp preremove dist-${PLATFORM}
	@echo "Setup package distribution"
	mkdir -p dist-${PLATFORM}/lib/svc/method
	-cp openct-fabric-dist dist-${PLATFORM}/lib/svc/method/openct-fabric
	mkdir -p dist-${PLATFORM}/var/svc/manifest/system/device
	-cp devices-openct-fabric.xml-dist dist-${PLATFORM}/var/svc/manifest/system/device/devices-openct-fabric.xml
	mkdir -p dist-${PLATFORM}/usr/sbin
	-cp openct-hotplug-dist dist-${PLATFORM}/usr/sbin/openct-hotplug
	mkdir -p dist-${PLATFORM}/etc/openct
	-cp openct.conf-dist dist-${PLATFORM}/etc/openct/openct.conf
	@echo "Creating package"
	( \
		cd dist-${PLATFORM}; \
		pkgmk -o -r . -d . -f proto; \
		pkgtrans -s . ../${PKG_NAME}-${VERSION}-${PLATFORM}.pkg ${PKG_NAME} \
	)

clean:
	rm -rf build-${PLATFORM}
	rm -rf dist-${PLATFORM}

## openct 0.6.19

=== debian/changelog ===
openct (0.6.19-1ubuntu3) lucid; urgency=low

  * Fixing some things to get openct backported to karmic easily
    (LP: #520378)
    + debian/patches/doc_Makefile.patch:
      - doc/Makefile.* fixed to not "rm -rf api.out" directory
    + debian/control: 
      - Build-Conflicts: libusb-dev (use native usb driver)
  * Thx to Andreas Jellinghaus for the fixes

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 11 Feb 2010 16:17:54 +0000

openct (0.6.19-1ubuntu2) lucid; urgency=low

  * debian/openct.install:  (LP: #519790)
    + Added missing files for install 

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 11 Feb 2010 08:15:40 +0000

openct (0.6.19-1ubuntu1) lucid; urgency=low

  * Fake merge from debian unstable (LP: #519713)
  * Patch for merge from hal to udev:  (LP: #503119) (LP: #436545)
    (Taken from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=563755)
    + Changed files:
      - debian/openct.install
      - debian/rules
  * debian/patches/init-script.patch:
    - fix directory creation in init script (LP: #131075)
  * Already fixed bugs, but not closed in LP:
    + "no appropriate entry in fdi file" (LP: #435138)
    + "Openct needs to be restarted when inserting an eToken" (LP: #368683)
    + "openct doesn't recognize etoken" (LP: #246392)

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 10 Feb 2010 10:52:34 +0000

openct (0.6.19-1) unstable; urgency=low

  * New upstream release. (Closes: #564055)
  * debian/source/format, debian/source/options,
    debian/source/patch-header: Convert to v3 quilt format, with
    single-debian-patch.
  * debian/openct.postinst, debian/openct.postrm: Stop installing
    dpkg-statoverride since /var/run/openct is dynamically
    generated. Also, remove the override in new postrm, and rm -rf
    /var/run/openct. (Closes: #546500)
  * debian/openct.doc-base.api, debian/openct.doc-base.manual: Fix up
    section by removing Applications.
  * debian/control: Standards-Version to 3.8.3.

 -- Eric Dorland <eric@debian.org>  Sun, 10 Jan 2010 00:20:53 -0500

openct (0.6.17-1) unstable; urgency=low

  * New upstream release.
  * debian/openct.README.Debian: Really add new readme.

 -- Eric Dorland <eric@debian.org>  Sat, 29 Aug 2009 01:55:23 -0400

openct (0.6.16-2) unstable; urgency=low

  * Thanks to Andreas Jellinghaus for most of these changes. (Closes: #528482)
  
  * debian/rules, debian/control: Drop libusb in favor of native usb support.
  * debian/copyright: Set upstream author to the OpenCT Development Team
    per upstream suggestion.
  * debian/openct.install: Install documentation again.
  * debian/openct.doc-base.manual: Change author to OpenCT Development Team.
    Fix the section to be a real one. 
  * debian/openct.doc-base.api: Add doc-base for api documentation.
  * debian/rules, debian/control, openct.install: Use hal instead of
    udev. Copy in the correct hal files and don't compile with
    udev, recommend hal instead of udev. (Closes: #442300)
  * openct.README.Debian, openct.install: Install example for disabling
    handling with hal. README.Debian written by Andreas Jellinghaus.
  * debian/control: Remove Enhances: pcscd.

 -- Eric Dorland <eric@debian.org>  Mon, 15 Jun 2009 01:11:13 -0400

openct (0.6.16-1) unstable; urgency=low

  * New upstream release. (Closes: #526912)
  * debian/control:
    - Upgrade Standards-Version to 3.8.1.
    - Set dbg package section to debug.
    - Add ${misc:Depends} to Depends.
  * debian/openct.dirs: Remove, since shipping this is a lintian error now.

 -- Eric Dorland <eric@debian.org>  Sun, 10 May 2009 04:13:57 -0400

openct (0.6.15-1) unstable; urgency=low

  * New upstream release.
  * debian/openct.install: 
    - Disable documentation for the moment.
    - Install udev files from installed location.
  * debian/rules: 
    - Rewritten build system requires some configure flags.
    - Install udev files into /lib/udev.
    - Install new style udev config file.
  * debian/libopenct1.symbols: Add single new symbol.

 -- Eric Dorland <eric@debian.org>  Tue, 17 Mar 2009 03:09:34 -0400

openct (0.6.14-3) unstable; urgency=low

  * debian/libopenct1.shlibs: Drop blank line that was causing
    warnings. (Closes: #454580)
  * debian/libopenct1.symbols: Add symbols file.
  * etc/init-script.in: Make the stop action not fail if the service is
    already down. (Closes: #494385)
  * debian/control:
    - Remove XS- prefix from the Vcs headers.
    - Upgrade Standards-Version to 3.8.0.1.

 -- Eric Dorland <eric@debian.org>  Sun, 10 Aug 2008 22:05:50 -0400

openct (0.6.14-2) unstable; urgency=low

  * debian/openct.install: Don't install the .in files, thanks Joachim
    Knust. (Closes: #441079)
  * etc/init-script.in: Don't fail on restart if openct isn't
    running. (Closes: #441977)
  * debian/control: Add Homepage and XS-Vcs-* headers.

 -- Eric Dorland <eric@debian.org>  Sat, 22 Sep 2007 21:54:04 -0400

openct (0.6.14-1) unstable; urgency=low

  * New upstream release. (Closes: #439309)

 -- Eric Dorland <eric@debian.org>  Sat, 01 Sep 2007 15:46:00 -0400

openct (0.6.12-1) unstable; urgency=low

  * New upstream release. (Closes: #433341, #400601, #427241)
  * debian/openct.install: Simplify installing udev helpers.
  * debian/rules: Use the modalias version of the udev rules.
  * debian/control: Use binary:Version instead of Source-Version.

 -- Eric Dorland <eric@debian.org>  Fri, 20 Jul 2007 01:44:10 -0400

openct (0.6.11-3) unstable; urgency=low

  * debian/openct.postinst: Only create the group and call
    dpkg-statoverride at configure time. (Closes: #418882)
  * debian/control: Up Standards-Version to 3.7.2.2.
  * debian/control, debian/openct.postinst: Build depend on newer
    debhelper for better dh_installudev behavior and remove hack in
    postinst to install the symlink.

 -- Eric Dorland <eric@debian.org>  Sun, 29 Apr 2007 17:53:07 -0400

openct (0.6.11-2) unstable; urgency=low

  * src/pcsc/ifdhandler.h: Patch to build with pcsc-lite >= 1.4.0. Thanks
    xor. (Closes: #414715)


=== debian/control ===
Source: openct
Section: utils
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
Build-Depends: cdbs (>= 0.4.38), debhelper (>= 5.0.45), libpcsclite-dev (>= 1.4.0), pkg-config, libltdl3-dev
Build-Conflicts: libusb-dev
Standards-Version: 3.8.3
Homepage: http://www.opensc-project.org/
Vcs-Git: git://git.debian.org/git/pkg-opensc/openct.git
Vcs-Browser: http://git.debian.org/?p=pkg-opensc/openct.git

Package: libopenct1-dev
Architecture: any
Section: libdevel
Priority: optional
Provides: libopenct-dev
Conflicts: libopenct0-dev
Replaces: libopenct0-dev
Suggests: pkg-config
Depends: libopenct1 (= ${binary:Version}), ${misc:Depends}
Description: headers and development libraries for libopenct1
 OpenCT is an open source implementation providing card terminal
 drivers. It provides a native OpenCT, CT-API and PC/SC Lite IFD
 interface with an OpenCT ifdhandler resource manager.
 .
 This package provides the headers and development libraries.

Package: libopenct1
Architecture: any
Section: libs
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: middleware framework for smart card terminals (libraries)
 OpenCT is an open source implementation providing card terminal
 drivers. It provides a native OpenCT, CT-API and PC/SC Lite IFD
 interface with an OpenCT ifdhandler resource manager.
 .
 This package provides shared libraries for OpenCT.

Package: libopenct1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libopenct1 (= ${binary:Version}), ${misc:Depends}
Description: middleware framework for smart card terminals (libraries)
 OpenCT is an open source implementation providing card terminal
 drivers. It provides a native OpenCT, CT-API and PC/SC Lite IFD
 interface with an OpenCT ifdhandler resource manager.
 .
 This package provides debugging symbols for OpenCT.


Package: openct
Architecture: any
Provides: pcsc-ifd-handler
Depends: ${shlibs:Depends}, dpkg (>= 1.7.0), adduser, ${misc:Depends}
Recommends: udev
Description: middleware framework for smart card terminals
 OpenCT is an open source implementation providing card terminal
 drivers. It provides a native OpenCT, CT-API and PC/SC Lite IFD
 interface with an OpenCT ifdhandler resource manager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-pcsc --with-udev=/lib/udev \
	--with-bundle=/usr/lib/pcsc/drivers

DEB_INSTALL_DOCS_ALL := NEWS TODO

install/openct::
	cp -f etc/init-script debian/openct.init
	cp -f etc/openct.udev debian/60-openct.rules

binary-post-install/openct::
# Rename some stuff 
	mv -f $(CURDIR)/debian/openct/etc/reader.conf.d/openct.reader.conf \
		$(CURDIR)/debian/openct/etc/reader.conf.d/openct

clean::
	rm -f debian/openct.init debian/60-openct.rules

## openct 0.6.20

=== debian/changelog ===
openct (0.6.20-1.2ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches, resolving FTBFS.
  * Don't attempt to move conffile from a nonexistent directory.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 22 Jan 2014 13:53:50 -0500

openct (0.6.20-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - Use kfreebsd-any arch specifier for libusb2-dev build dependency.
    - Recommend udev [linux-any] instead of hal. (Closes: #615230)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2011 12:40:46 +0200

openct (0.6.20-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build on kfreebsd-* (Closes: #564652)
    - d/control: Add Build-Depends on libusb2-dev [kfreebsd-i386 kfreebsd-amd64]
    - d/control: Add Build-Conflict on libusb-dev (for all archs)
    - d/rules: Use conditional configure option to enable libusb on kfreebsd-*
    Thanks to Petr Salinger and Andreas Jellinghaus!

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 07 Apr 2010 23:04:57 +0200

openct (0.6.20-1) unstable; urgency=low

  * New upstream release. (Closes: #570105, #569132)
  * libtool.m4: Remove libtool file that snuck in here at some point.
  * debian/rules, debian/openct.install: Patch from Andreas Jellinghaus to
    fixup udev rules and add bundle file for pcscd. (Closes: #563755,
    #528123)

 -- Eric Dorland <eric@debian.org>  Sun, 28 Feb 2010 04:48:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: openct
 Section: utils
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
-Build-Depends: cdbs (>= 0.4.38), debhelper (>= 5.0.45), libpcsclite-dev (>= 1.4.0), pkg-config, libltdl3-dev
+Build-Depends: cdbs (>= 0.4.38), debhelper (>= 5.0.45), libpcsclite-dev (>= 1.4.0), pkg-config, libltdl3-dev, libusb2-dev [kfreebsd-any],
+ dh-autoreconf
 Build-Conflicts: libusb-dev
 Standards-Version: 3.8.3
 Homepage: http://www.opensc-project.org/
@@ -55,7 +56,7 @@
 Architecture: any
 Provides: pcsc-ifd-handler
 Depends: ${shlibs:Depends}, dpkg (>= 1.7.0), adduser, ${misc:Depends}
-Recommends: udev
+Recommends: udev [linux-any]
 Description: middleware framework for smart card terminals
  OpenCT is an open source implementation providing card terminal
  drivers. It provides a native OpenCT, CT-API and PC/SC Lite IFD

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-pcsc --with-udev=/lib/udev \
 	--with-bundle=/usr/lib/pcsc/drivers
+
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+     DEB_CONFIGURE_EXTRA_FLAGS += --enable-usb
+endif
 
 DEB_INSTALL_DOCS_ALL := NEWS TODO

=== debian/watch ===
version=3

http://www.opensc-project.org/files/openct/openct-([\d\.]+)\.tar\.gz
